List Datasets
GEThttps://api.confident-ai.com/v1/datasets
Lists all the available datasets in your Confident AI project.
curl -X GET "https://api.confident-ai.com/v1/datasets" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"datasets": [
{
"id": "string",
"alias": "string",
"multiTurn": true
}
]
},
"deprecated": true
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Response
successbooleanThis is true if the datasets were successfully retrieved.
dataobjectThis maps to all the datasets retrieved.
Show 1 propertyHide 1 property
datasetslist of objectsShow 3 propertiesHide 3 properties
idstringThis is the unique id of the dataset.
aliasstringThis is the alias of the dataset, which is unique within your project.
multiTurnbooleanThis is true if the dataset is multi-turn, which contains multi-turn test cases. Single-turn datasets have
multi_turnset to false and contain single-turn test cases.
deprecatedbooleanThis is true if this datasets endpoint is deprecated.